#!/bin/sh

# Instaliraj vim plug!
if [ ! -f ~/.vim/autoload/plug.vim ]; then 
  curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
fi

# Zloudaj font (statusbar, emacs)
if [ ! -d ~/.fonts ]; then
  mkdir ~/.fonts
fi
if [ ! -d ~/.fonts/iosevka ]; then
  curl -fLo ~/.fonts/iosevka.zip https://github.com/be5invis/Iosevka/releases/download/v20.0.0/super-ttc-iosevka-ss01-20.0.0.zip
  cd ~/.fonts || exit 1
  unzip iosevka.zip
  rm iosevka.zip
  fc-cache -f
fi

# Zloudaj gruvbox ikone
if [ ! -d ~/.icons ]; then
  mkdir ~/.icons
fi
if [ ! -d ~/.icons/Gruvbox-Plus-Dark ]; then
  curl -fLo ~/.icons/Gruvbox-Plus-Dark.zip https://github.com/SylEleuth/gruvbox-plus-icon-pack/releases/download/v4.0/gruvbox-plus-icon-pack-4.0.zip
  cd ~/.icons || exit 1
  unzip Gruvbox-Plus-Dark.zip
  rm Gruvbox-Plus-Dark.zip
fi
